docs / api / vin / vehicle-ownership

Vehicle Ownership Cost API

The vehicle ownership cost API can estimate the cost of ownership over the next 5 years based on a vehicle’s VIN. Based on millions of records in VinAudit’s historical vehicle database, the API supports estimating depreciation, insurance, fuel, maintenance, repairs, and state taxes & fees. Access to the ownership cost API requires an API account with ownership cost access enabled.

GET
http://ownershipcost.vinaudit.com/getownershipcost.php

Request Parameters

Parameter

vin

optional

Example

1NXBR32E85Z505904

Description

The vehicle identification number

Parameter

key

optional

Example

VA_DEMO_KEY

Description

Your VinAudit API key

Parameter

state

optional

Example

WA

Description

State Code

Parameter

format

optional

Example

json

Description

Output format

Response Attributes

Field

vin

Type

1NXBR32E85Z505904

Description

The vehicle identification number

Field

mileage_start

Type

-1

Description

The current mileage of the vehicle (default value: -1)

Field

mileage_year

Type

15000

Description

The estimated yearly mileage of the vehicle (default value: 15000)

Field

vehicle

Type

2005 Toyota Corolla LE

Description

The vehicle title (Year, Make, Model, Trim)

Field

depreciation_cost

Type

1682, 807, 706, 639, 572

Description

The estimated yearly depreciation cost

Field

insurance_cost

Type

1487, 1539, 1592, 1648, 1706

Description

The estimated yearly insurance cost

Field

fuel_cost

Type

2722, 2803, 2887, 2974, 3063

Description

The estimated yearly fuel cost

Field

maintenance_cost

Type

2763, 1748, 845, 545, 2291

Description

The estimated yearly maintenance cost

Field

repairs_cost

Type

977, 1138, 1298, 1417, 1627

Description

The estimated yearly repairs cost

Field

fees_cost

Type

459, 52, 67, 43, 59

Description

The estimated yearly state fees & taxes cost

Field

total_cost

Type

10089, 8088, 7396, 7266, 9319

Description

The estimated yearly total cost

Field

total_cost_sum

Type

42158

Description

The estimated overall total cost over the next 5 years

Example Request

HTTP
http://ownershipcost.vinaudit.com/getownershipcost.php?vin=1NXBR32E85Z505904&key=VA_DEMO_KEY&state=WA

Example Response

JSON
{
  "vin": "1NXBR32E85Z505904",
  "mileage_start": 150000,
  "mileage_year": 15000,
  "vehicle": "2005 Toyota Corolla",
  "trim": "CE",
  "depreciation_cost": [
    1682,
    807,
    706,
    639,
    572
  ],
  "insurance_cost": [
    1487,
    1539,
    1592,
    1648,
    1706
  ],
  "fuel_cost": [
    2722,
    2803,
    2887,
    2974,
    3063
  ],
  "maintenance_cost": [
    2763,
    1748,
    845,
    545,
    2291
  ],
  "repairs_cost": [
    977,
    1138,
    1298,
    1417,
    1627
  ],
  "fees_cost": [
    599,
    21,
    21,
    21,
    21
  ],
  "total_cost": [
    10230,
    8057,
    7350,
    7245,
    9281
  ],
  "total_cost_sum": 42164
}